Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa.model.simple
Class SubgraphNodeEntity

    java.lang.Object
      org.modeshape.connector.store.jpa.model.simple.SubgraphNodeEntity

All Implemented Interfaces:
  Serializable

    @Entity
    public class SubgraphNodeEntity

extends Object
implements Serializable

Represents a single node that appears in a subgraph.

See Also:
  `SubgraphQueryEntity`, Serialized Form

Constructor Summary
`SubgraphNodeEntity()`
`SubgraphNodeEntity(Long queryId, String nodeUuid, int depth)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getDepth()`
`Long` | `getId()`
`int` | `getIndexInParent()`
`String` | `getNodeUuid()`
`int` | `getParentIndexInParent()`
`Long` | `getQueryId()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubgraphNodeEntity

    public SubgraphNodeEntity()

### SubgraphNodeEntity

    public SubgraphNodeEntity(Long queryId,
                              String nodeUuid,
                              int depth)

Method Detail

### getId

    public Long getId()

  Returns:
    id

### getDepth

    public int getDepth()

  Returns:
    depth

### getNodeUuid

    public String getNodeUuid()

  Returns:
    nodeUuid

### getQueryId

    public Long getQueryId()

  Returns:
    queryId

### getIndexInParent

    public int getIndexInParent()

  Returns:
    indexInParent

### getParentIndexInParent

    public int getParentIndexInParent()

  Returns:
    parentIndexInParent

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.